Skip to main content
GET
/
responses
/
{id}
/
input_items
List Model Response Input Items
curl --request GET \
  --url https://{controlPlaneURL}/api/llm/responses/{id}/input_items \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "data": [
    {
      "id": "<string>",
      "type": "<string>",
      "status": "<string>",
      "content": [
        {
          "type": "<string>",
          "text": "<string>"
        }
      ],
      "role": "<string>"
    }
  ],
  "first_id": "<string>",
  "has_more": true,
  "last_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-tfy-metadata
string

Optional metadata for the request

Path Parameters

id
string
required

Id of the response

Response

Model response input items retrieved successfully

object
string
required

Type of the object, e.g., 'list'.

data
object[]
required

Array of message objects.

first_id
string
required

ID of the first message in the list.

has_more
boolean
required

Indicates if there are more messages.

last_id
string
required

ID of the last message in the list.